import os
from pathlib import Path
import sys
import pytest
import time
import subprocess

os.chdir("tests")

def setup():
    foo = """import datetime
import time

stamp = datetime.datetime.now().strftime("%H:%M:%S")
time.sleep(5)

print(f"Foo - {stamp} + 5 seconds")"""
    with open("foo.py", "w") as f:
        f.write(foo)


def teardown():
    subprocess.run("rm foo.py hickory.log", shell=True)


def test_cli_systemd():
    setup()
    subprocess.run("hickory schedule foo.py --every=5seconds", shell=True)
    status = subprocess.run("hickory status", shell=True, capture_output=True).stderr.decode()
    assert 'foo.py' in status.split('\n')[1]
    time.sleep(8)
    lines = subprocess.run('journalctl | grep Starting | grep hickory | wc -l', shell=True, capture_output=True)
    assert int(lines.stdout.decode()) > 0
    subprocess.run("hickory kill foo.py", shell=True)
    teardown()
